import { Component, OnInit, Input, OnDestroy } from '@angular/core';
import {TesService} from '../tes.service';
import { Job } from '../job';
import { Observable } from 'rxjs/Observable';
import { Subscription, interval } from 'rxjs';
import { Identity } from '../identity';
import { Renderer2} from '@angular/core';



@Component({
  selector: 'app-joblist',
  templateUrl: './joblist.component.html',
  styleUrls: ['./joblist.component.css']
})

export class JoblistComponent implements OnInit {
  @Input() identity: Identity;
  // public jobs: {[id: string]: Job[] } = {};
  private displayedColumns = ['id'];
  private timer
  // private jobsSubscription: Subscription;
  // private idSubscription: any;
  private timerSub: Subscription;
  private iframeListener: any;
  private batchListen: any;


  constructor(private tesService: TesService, private renderer: Renderer2) {
}

  ngOnInit() {
    if (!(this.identity === undefined)) {
      console.log("ini joblistComponent with id",this.identity);
      this.tesService.getJobs(this.identity);
    }
    this.timerSub = interval(5000).subscribe(() => this.refreshJobs())
    // this.jobsSubscription = this.tesService.joblist.subscribe(jobs => this.updateJobs(jobs));
    // this.batchListen = this.renderer.listen('window','message',event => this.receiveBatchCmd(event));
    // window.addEventListener('message',this.receiveBatchCmd);

  }

  // receiveBatchCmd(event) {
  //   // window.alert("I recieved the batchcmd message");
  //   console.log("I received a batch cmd");
  //   console.log(event);
  // }
  //
  // customProcessor(event) {
  //   // window.alert("I recieved the batchcmd message");
  //   console.log("I received a batch cmd via customProcessor");
  //   console.log(event);
  // }

  mouseOverHandel(event) {
    console.log(
      'recieved mouse over'
    );
  }

  public ngOnDestroy(): void {
      if (this.timerSub) {
          this.timerSub.unsubscribe();
      }
      this.batchListen();

  }
  //
  //
  // updateJobs(jobs) {
  //   console.log('update jobs',jobs);
  //   this.jobs = jobs;
  // }

  public refreshJobs(): void {
    this.tesService.getJobs(this.identity);
  }
}
